



// Datei ViewController.swift

import UIKit

class ViewController: UIViewController {

  // Outlets zum Zugriff auf die Steuerelemente
  @IBOutlet weak var puzzleView: UIView!
  
  @IBOutlet weak var sizeSegment: UISegmentedControl!
  
  
  // bereits vorgesehener Code
  override func viewDidLoad() {
    super.viewDidLoad()
  }

  // Actions: diese Methoden werden aufgerufen, 
  // wenn ein Button angeklickt wird.
  // Segmented Control zur Größeneinstellung
  @IBAction func changeSize(_ sender: Any) {
    print("ausgewähltes Segment: \(sizeSegment.selectedSegmentIndex)")
  }
  

  // Shuffle-Button
  @IBAction func shuffle(_ sender: Any) {
    print("shuffle-Button")
  }
  
  // Reset-Button
  @IBAction func reset(_ sender: Any) {
    print("reset-Button")
  }

}

